import type { ThemeRegistrationAny, ThemeRegistrationResolved } from '@shikijs/types';
import { type HighlighterCore } from '@shikijs/core';
import { Theme as TextMateTheme } from '@shikijs/vscode-textmate';
export type AvailableLanguage = 'php' | 'tsx' | 'typescript' | 'javascript' | 'json' | 'html' | 'css' | 'markdown' | 'plaintext';
interface ThemeContext {
    theme: ThemeRegistrationResolved;
    textmateTheme: TextMateTheme;
}
export declare function getThemeContext(theme: ThemeRegistrationAny): ThemeContext;
export declare function getHighlighter(): Promise<HighlighterCore>;
export declare function isValidLanguage(lang: string): lang is AvailableLanguage;
export declare function getSafeLanguage(lang: string): AvailableLanguage;
export declare function getLoadedLanguages(): string[];
export {};
//# sourceMappingURL=SyntaxContext.d.ts.map